Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.74.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
76.74.0.0
Broadcast address
76.75.255.255
First usable
76.74.0.1
Last usable
76.75.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C4A0000 · Integer 1279918080 to 1280049151
Reverse DNS zones
74.76.in-addr.arpa
75.76.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.01001010.00000000.0000000076.74.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01001100.01001010.00000000.0000000076.74.0.0
Broadcast01001100.01001011.11111111.1111111176.75.255.255
Split into smaller subnets/24

76.74.0.0/15 makes 512 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.74.0.0/2476.74.0.1 to 76.74.0.25476.74.0.255254
276.74.1.0/2476.74.1.1 to 76.74.1.25476.74.1.255254
376.74.2.0/2476.74.2.1 to 76.74.2.25476.74.2.255254
476.74.3.0/2476.74.3.1 to 76.74.3.25476.74.3.255254
576.74.4.0/2476.74.4.1 to 76.74.4.25476.74.4.255254
676.74.5.0/2476.74.5.1 to 76.74.5.25476.74.5.255254
776.74.6.0/2476.74.6.1 to 76.74.6.25476.74.6.255254
876.74.7.0/2476.74.7.1 to 76.74.7.25476.74.7.255254
976.74.8.0/2476.74.8.1 to 76.74.8.25476.74.8.255254
1076.74.9.0/2476.74.9.1 to 76.74.9.25476.74.9.255254
1176.74.10.0/2476.74.10.1 to 76.74.10.25476.74.10.255254
1276.74.11.0/2476.74.11.1 to 76.74.11.25476.74.11.255254
1376.74.12.0/2476.74.12.1 to 76.74.12.25476.74.12.255254
1476.74.13.0/2476.74.13.1 to 76.74.13.25476.74.13.255254
1576.74.14.0/2476.74.14.1 to 76.74.14.25476.74.14.255254
1676.74.15.0/2476.74.15.1 to 76.74.15.25476.74.15.255254
1776.74.16.0/2476.74.16.1 to 76.74.16.25476.74.16.255254
1876.74.17.0/2476.74.17.1 to 76.74.17.25476.74.17.255254
1976.74.18.0/2476.74.18.1 to 76.74.18.25476.74.18.255254
2076.74.19.0/2476.74.19.1 to 76.74.19.25476.74.19.255254
2176.74.20.0/2476.74.20.1 to 76.74.20.25476.74.20.255254
2276.74.21.0/2476.74.21.1 to 76.74.21.25476.74.21.255254
2376.74.22.0/2476.74.22.1 to 76.74.22.25476.74.22.255254
2476.74.23.0/2476.74.23.1 to 76.74.23.25476.74.23.255254
2576.74.24.0/2476.74.24.1 to 76.74.24.25476.74.24.255254
2676.74.25.0/2476.74.25.1 to 76.74.25.25476.74.25.255254
2776.74.26.0/2476.74.26.1 to 76.74.26.25476.74.26.255254
2876.74.27.0/2476.74.27.1 to 76.74.27.25476.74.27.255254
2976.74.28.0/2476.74.28.1 to 76.74.28.25476.74.28.255254
3076.74.29.0/2476.74.29.1 to 76.74.29.25476.74.29.255254
3176.74.30.0/2476.74.30.1 to 76.74.30.25476.74.30.255254
3276.74.31.0/2476.74.31.1 to 76.74.31.25476.74.31.255254
3376.74.32.0/2476.74.32.1 to 76.74.32.25476.74.32.255254
3476.74.33.0/2476.74.33.1 to 76.74.33.25476.74.33.255254
3576.74.34.0/2476.74.34.1 to 76.74.34.25476.74.34.255254
3676.74.35.0/2476.74.35.1 to 76.74.35.25476.74.35.255254
3776.74.36.0/2476.74.36.1 to 76.74.36.25476.74.36.255254
3876.74.37.0/2476.74.37.1 to 76.74.37.25476.74.37.255254
3976.74.38.0/2476.74.38.1 to 76.74.38.25476.74.38.255254
4076.74.39.0/2476.74.39.1 to 76.74.39.25476.74.39.255254
4176.74.40.0/2476.74.40.1 to 76.74.40.25476.74.40.255254
4276.74.41.0/2476.74.41.1 to 76.74.41.25476.74.41.255254
4376.74.42.0/2476.74.42.1 to 76.74.42.25476.74.42.255254
4476.74.43.0/2476.74.43.1 to 76.74.43.25476.74.43.255254
4576.74.44.0/2476.74.44.1 to 76.74.44.25476.74.44.255254
4676.74.45.0/2476.74.45.1 to 76.74.45.25476.74.45.255254
4776.74.46.0/2476.74.46.1 to 76.74.46.25476.74.46.255254
4876.74.47.0/2476.74.47.1 to 76.74.47.25476.74.47.255254
4976.74.48.0/2476.74.48.1 to 76.74.48.25476.74.48.255254
5076.74.49.0/2476.74.49.1 to 76.74.49.25476.74.49.255254
5176.74.50.0/2476.74.50.1 to 76.74.50.25476.74.50.255254
5276.74.51.0/2476.74.51.1 to 76.74.51.25476.74.51.255254
5376.74.52.0/2476.74.52.1 to 76.74.52.25476.74.52.255254
5476.74.53.0/2476.74.53.1 to 76.74.53.25476.74.53.255254
5576.74.54.0/2476.74.54.1 to 76.74.54.25476.74.54.255254
5676.74.55.0/2476.74.55.1 to 76.74.55.25476.74.55.255254
5776.74.56.0/2476.74.56.1 to 76.74.56.25476.74.56.255254
5876.74.57.0/2476.74.57.1 to 76.74.57.25476.74.57.255254
5976.74.58.0/2476.74.58.1 to 76.74.58.25476.74.58.255254
6076.74.59.0/2476.74.59.1 to 76.74.59.25476.74.59.255254
6176.74.60.0/2476.74.60.1 to 76.74.60.25476.74.60.255254
6276.74.61.0/2476.74.61.1 to 76.74.61.25476.74.61.255254
6376.74.62.0/2476.74.62.1 to 76.74.62.25476.74.62.255254
6476.74.63.0/2476.74.63.1 to 76.74.63.25476.74.63.255254
6576.74.64.0/2476.74.64.1 to 76.74.64.25476.74.64.255254
6676.74.65.0/2476.74.65.1 to 76.74.65.25476.74.65.255254
6776.74.66.0/2476.74.66.1 to 76.74.66.25476.74.66.255254
6876.74.67.0/2476.74.67.1 to 76.74.67.25476.74.67.255254
6976.74.68.0/2476.74.68.1 to 76.74.68.25476.74.68.255254
7076.74.69.0/2476.74.69.1 to 76.74.69.25476.74.69.255254
7176.74.70.0/2476.74.70.1 to 76.74.70.25476.74.70.255254
7276.74.71.0/2476.74.71.1 to 76.74.71.25476.74.71.255254
7376.74.72.0/2476.74.72.1 to 76.74.72.25476.74.72.255254
7476.74.73.0/2476.74.73.1 to 76.74.73.25476.74.73.255254
7576.74.74.0/2476.74.74.1 to 76.74.74.25476.74.74.255254
7676.74.75.0/2476.74.75.1 to 76.74.75.25476.74.75.255254
7776.74.76.0/2476.74.76.1 to 76.74.76.25476.74.76.255254
7876.74.77.0/2476.74.77.1 to 76.74.77.25476.74.77.255254
7976.74.78.0/2476.74.78.1 to 76.74.78.25476.74.78.255254
8076.74.79.0/2476.74.79.1 to 76.74.79.25476.74.79.255254
8176.74.80.0/2476.74.80.1 to 76.74.80.25476.74.80.255254
8276.74.81.0/2476.74.81.1 to 76.74.81.25476.74.81.255254
8376.74.82.0/2476.74.82.1 to 76.74.82.25476.74.82.255254
8476.74.83.0/2476.74.83.1 to 76.74.83.25476.74.83.255254
8576.74.84.0/2476.74.84.1 to 76.74.84.25476.74.84.255254
8676.74.85.0/2476.74.85.1 to 76.74.85.25476.74.85.255254
8776.74.86.0/2476.74.86.1 to 76.74.86.25476.74.86.255254
8876.74.87.0/2476.74.87.1 to 76.74.87.25476.74.87.255254
8976.74.88.0/2476.74.88.1 to 76.74.88.25476.74.88.255254
9076.74.89.0/2476.74.89.1 to 76.74.89.25476.74.89.255254
9176.74.90.0/2476.74.90.1 to 76.74.90.25476.74.90.255254
9276.74.91.0/2476.74.91.1 to 76.74.91.25476.74.91.255254
9376.74.92.0/2476.74.92.1 to 76.74.92.25476.74.92.255254
9476.74.93.0/2476.74.93.1 to 76.74.93.25476.74.93.255254
9576.74.94.0/2476.74.94.1 to 76.74.94.25476.74.94.255254
9676.74.95.0/2476.74.95.1 to 76.74.95.25476.74.95.255254
9776.74.96.0/2476.74.96.1 to 76.74.96.25476.74.96.255254
9876.74.97.0/2476.74.97.1 to 76.74.97.25476.74.97.255254
9976.74.98.0/2476.74.98.1 to 76.74.98.25476.74.98.255254
10076.74.99.0/2476.74.99.1 to 76.74.99.25476.74.99.255254
10176.74.100.0/2476.74.100.1 to 76.74.100.25476.74.100.255254
10276.74.101.0/2476.74.101.1 to 76.74.101.25476.74.101.255254
10376.74.102.0/2476.74.102.1 to 76.74.102.25476.74.102.255254
10476.74.103.0/2476.74.103.1 to 76.74.103.25476.74.103.255254
10576.74.104.0/2476.74.104.1 to 76.74.104.25476.74.104.255254
10676.74.105.0/2476.74.105.1 to 76.74.105.25476.74.105.255254
10776.74.106.0/2476.74.106.1 to 76.74.106.25476.74.106.255254
10876.74.107.0/2476.74.107.1 to 76.74.107.25476.74.107.255254
10976.74.108.0/2476.74.108.1 to 76.74.108.25476.74.108.255254
11076.74.109.0/2476.74.109.1 to 76.74.109.25476.74.109.255254
11176.74.110.0/2476.74.110.1 to 76.74.110.25476.74.110.255254
11276.74.111.0/2476.74.111.1 to 76.74.111.25476.74.111.255254
11376.74.112.0/2476.74.112.1 to 76.74.112.25476.74.112.255254
11476.74.113.0/2476.74.113.1 to 76.74.113.25476.74.113.255254
11576.74.114.0/2476.74.114.1 to 76.74.114.25476.74.114.255254
11676.74.115.0/2476.74.115.1 to 76.74.115.25476.74.115.255254
11776.74.116.0/2476.74.116.1 to 76.74.116.25476.74.116.255254
11876.74.117.0/2476.74.117.1 to 76.74.117.25476.74.117.255254
11976.74.118.0/2476.74.118.1 to 76.74.118.25476.74.118.255254
12076.74.119.0/2476.74.119.1 to 76.74.119.25476.74.119.255254
12176.74.120.0/2476.74.120.1 to 76.74.120.25476.74.120.255254
12276.74.121.0/2476.74.121.1 to 76.74.121.25476.74.121.255254
12376.74.122.0/2476.74.122.1 to 76.74.122.25476.74.122.255254
12476.74.123.0/2476.74.123.1 to 76.74.123.25476.74.123.255254
12576.74.124.0/2476.74.124.1 to 76.74.124.25476.74.124.255254
12676.74.125.0/2476.74.125.1 to 76.74.125.25476.74.125.255254
12776.74.126.0/2476.74.126.1 to 76.74.126.25476.74.126.255254
12876.74.127.0/2476.74.127.1 to 76.74.127.25476.74.127.255254
12976.74.128.0/2476.74.128.1 to 76.74.128.25476.74.128.255254
13076.74.129.0/2476.74.129.1 to 76.74.129.25476.74.129.255254
13176.74.130.0/2476.74.130.1 to 76.74.130.25476.74.130.255254
13276.74.131.0/2476.74.131.1 to 76.74.131.25476.74.131.255254
13376.74.132.0/2476.74.132.1 to 76.74.132.25476.74.132.255254
13476.74.133.0/2476.74.133.1 to 76.74.133.25476.74.133.255254
13576.74.134.0/2476.74.134.1 to 76.74.134.25476.74.134.255254
13676.74.135.0/2476.74.135.1 to 76.74.135.25476.74.135.255254
13776.74.136.0/2476.74.136.1 to 76.74.136.25476.74.136.255254
13876.74.137.0/2476.74.137.1 to 76.74.137.25476.74.137.255254
13976.74.138.0/2476.74.138.1 to 76.74.138.25476.74.138.255254
14076.74.139.0/2476.74.139.1 to 76.74.139.25476.74.139.255254
14176.74.140.0/2476.74.140.1 to 76.74.140.25476.74.140.255254
14276.74.141.0/2476.74.141.1 to 76.74.141.25476.74.141.255254
14376.74.142.0/2476.74.142.1 to 76.74.142.25476.74.142.255254
14476.74.143.0/2476.74.143.1 to 76.74.143.25476.74.143.255254
14576.74.144.0/2476.74.144.1 to 76.74.144.25476.74.144.255254
14676.74.145.0/2476.74.145.1 to 76.74.145.25476.74.145.255254
14776.74.146.0/2476.74.146.1 to 76.74.146.25476.74.146.255254
14876.74.147.0/2476.74.147.1 to 76.74.147.25476.74.147.255254
14976.74.148.0/2476.74.148.1 to 76.74.148.25476.74.148.255254
15076.74.149.0/2476.74.149.1 to 76.74.149.25476.74.149.255254
15176.74.150.0/2476.74.150.1 to 76.74.150.25476.74.150.255254
15276.74.151.0/2476.74.151.1 to 76.74.151.25476.74.151.255254
15376.74.152.0/2476.74.152.1 to 76.74.152.25476.74.152.255254
15476.74.153.0/2476.74.153.1 to 76.74.153.25476.74.153.255254
15576.74.154.0/2476.74.154.1 to 76.74.154.25476.74.154.255254
15676.74.155.0/2476.74.155.1 to 76.74.155.25476.74.155.255254
15776.74.156.0/2476.74.156.1 to 76.74.156.25476.74.156.255254
15876.74.157.0/2476.74.157.1 to 76.74.157.25476.74.157.255254
15976.74.158.0/2476.74.158.1 to 76.74.158.25476.74.158.255254
16076.74.159.0/2476.74.159.1 to 76.74.159.25476.74.159.255254
16176.74.160.0/2476.74.160.1 to 76.74.160.25476.74.160.255254
16276.74.161.0/2476.74.161.1 to 76.74.161.25476.74.161.255254
16376.74.162.0/2476.74.162.1 to 76.74.162.25476.74.162.255254
16476.74.163.0/2476.74.163.1 to 76.74.163.25476.74.163.255254
16576.74.164.0/2476.74.164.1 to 76.74.164.25476.74.164.255254
16676.74.165.0/2476.74.165.1 to 76.74.165.25476.74.165.255254
16776.74.166.0/2476.74.166.1 to 76.74.166.25476.74.166.255254
16876.74.167.0/2476.74.167.1 to 76.74.167.25476.74.167.255254
16976.74.168.0/2476.74.168.1 to 76.74.168.25476.74.168.255254
17076.74.169.0/2476.74.169.1 to 76.74.169.25476.74.169.255254
17176.74.170.0/2476.74.170.1 to 76.74.170.25476.74.170.255254
17276.74.171.0/2476.74.171.1 to 76.74.171.25476.74.171.255254
17376.74.172.0/2476.74.172.1 to 76.74.172.25476.74.172.255254
17476.74.173.0/2476.74.173.1 to 76.74.173.25476.74.173.255254
17576.74.174.0/2476.74.174.1 to 76.74.174.25476.74.174.255254
17676.74.175.0/2476.74.175.1 to 76.74.175.25476.74.175.255254
17776.74.176.0/2476.74.176.1 to 76.74.176.25476.74.176.255254
17876.74.177.0/2476.74.177.1 to 76.74.177.25476.74.177.255254
17976.74.178.0/2476.74.178.1 to 76.74.178.25476.74.178.255254
18076.74.179.0/2476.74.179.1 to 76.74.179.25476.74.179.255254
18176.74.180.0/2476.74.180.1 to 76.74.180.25476.74.180.255254
18276.74.181.0/2476.74.181.1 to 76.74.181.25476.74.181.255254
18376.74.182.0/2476.74.182.1 to 76.74.182.25476.74.182.255254
18476.74.183.0/2476.74.183.1 to 76.74.183.25476.74.183.255254
18576.74.184.0/2476.74.184.1 to 76.74.184.25476.74.184.255254
18676.74.185.0/2476.74.185.1 to 76.74.185.25476.74.185.255254
18776.74.186.0/2476.74.186.1 to 76.74.186.25476.74.186.255254
18876.74.187.0/2476.74.187.1 to 76.74.187.25476.74.187.255254
18976.74.188.0/2476.74.188.1 to 76.74.188.25476.74.188.255254
19076.74.189.0/2476.74.189.1 to 76.74.189.25476.74.189.255254
19176.74.190.0/2476.74.190.1 to 76.74.190.25476.74.190.255254
19276.74.191.0/2476.74.191.1 to 76.74.191.25476.74.191.255254
19376.74.192.0/2476.74.192.1 to 76.74.192.25476.74.192.255254
19476.74.193.0/2476.74.193.1 to 76.74.193.25476.74.193.255254
19576.74.194.0/2476.74.194.1 to 76.74.194.25476.74.194.255254
19676.74.195.0/2476.74.195.1 to 76.74.195.25476.74.195.255254
19776.74.196.0/2476.74.196.1 to 76.74.196.25476.74.196.255254
19876.74.197.0/2476.74.197.1 to 76.74.197.25476.74.197.255254
19976.74.198.0/2476.74.198.1 to 76.74.198.25476.74.198.255254
20076.74.199.0/2476.74.199.1 to 76.74.199.25476.74.199.255254
20176.74.200.0/2476.74.200.1 to 76.74.200.25476.74.200.255254
20276.74.201.0/2476.74.201.1 to 76.74.201.25476.74.201.255254
20376.74.202.0/2476.74.202.1 to 76.74.202.25476.74.202.255254
20476.74.203.0/2476.74.203.1 to 76.74.203.25476.74.203.255254
20576.74.204.0/2476.74.204.1 to 76.74.204.25476.74.204.255254
20676.74.205.0/2476.74.205.1 to 76.74.205.25476.74.205.255254
20776.74.206.0/2476.74.206.1 to 76.74.206.25476.74.206.255254
20876.74.207.0/2476.74.207.1 to 76.74.207.25476.74.207.255254
20976.74.208.0/2476.74.208.1 to 76.74.208.25476.74.208.255254
21076.74.209.0/2476.74.209.1 to 76.74.209.25476.74.209.255254
21176.74.210.0/2476.74.210.1 to 76.74.210.25476.74.210.255254
21276.74.211.0/2476.74.211.1 to 76.74.211.25476.74.211.255254
21376.74.212.0/2476.74.212.1 to 76.74.212.25476.74.212.255254
21476.74.213.0/2476.74.213.1 to 76.74.213.25476.74.213.255254
21576.74.214.0/2476.74.214.1 to 76.74.214.25476.74.214.255254
21676.74.215.0/2476.74.215.1 to 76.74.215.25476.74.215.255254
21776.74.216.0/2476.74.216.1 to 76.74.216.25476.74.216.255254
21876.74.217.0/2476.74.217.1 to 76.74.217.25476.74.217.255254
21976.74.218.0/2476.74.218.1 to 76.74.218.25476.74.218.255254
22076.74.219.0/2476.74.219.1 to 76.74.219.25476.74.219.255254
22176.74.220.0/2476.74.220.1 to 76.74.220.25476.74.220.255254
22276.74.221.0/2476.74.221.1 to 76.74.221.25476.74.221.255254
22376.74.222.0/2476.74.222.1 to 76.74.222.25476.74.222.255254
22476.74.223.0/2476.74.223.1 to 76.74.223.25476.74.223.255254
22576.74.224.0/2476.74.224.1 to 76.74.224.25476.74.224.255254
22676.74.225.0/2476.74.225.1 to 76.74.225.25476.74.225.255254
22776.74.226.0/2476.74.226.1 to 76.74.226.25476.74.226.255254
22876.74.227.0/2476.74.227.1 to 76.74.227.25476.74.227.255254
22976.74.228.0/2476.74.228.1 to 76.74.228.25476.74.228.255254
23076.74.229.0/2476.74.229.1 to 76.74.229.25476.74.229.255254
23176.74.230.0/2476.74.230.1 to 76.74.230.25476.74.230.255254
23276.74.231.0/2476.74.231.1 to 76.74.231.25476.74.231.255254
23376.74.232.0/2476.74.232.1 to 76.74.232.25476.74.232.255254
23476.74.233.0/2476.74.233.1 to 76.74.233.25476.74.233.255254
23576.74.234.0/2476.74.234.1 to 76.74.234.25476.74.234.255254
23676.74.235.0/2476.74.235.1 to 76.74.235.25476.74.235.255254
23776.74.236.0/2476.74.236.1 to 76.74.236.25476.74.236.255254
23876.74.237.0/2476.74.237.1 to 76.74.237.25476.74.237.255254
23976.74.238.0/2476.74.238.1 to 76.74.238.25476.74.238.255254
24076.74.239.0/2476.74.239.1 to 76.74.239.25476.74.239.255254
24176.74.240.0/2476.74.240.1 to 76.74.240.25476.74.240.255254
24276.74.241.0/2476.74.241.1 to 76.74.241.25476.74.241.255254
24376.74.242.0/2476.74.242.1 to 76.74.242.25476.74.242.255254
24476.74.243.0/2476.74.243.1 to 76.74.243.25476.74.243.255254
24576.74.244.0/2476.74.244.1 to 76.74.244.25476.74.244.255254
24676.74.245.0/2476.74.245.1 to 76.74.245.25476.74.245.255254
24776.74.246.0/2476.74.246.1 to 76.74.246.25476.74.246.255254
24876.74.247.0/2476.74.247.1 to 76.74.247.25476.74.247.255254
24976.74.248.0/2476.74.248.1 to 76.74.248.25476.74.248.255254
25076.74.249.0/2476.74.249.1 to 76.74.249.25476.74.249.255254
25176.74.250.0/2476.74.250.1 to 76.74.250.25476.74.250.255254
25276.74.251.0/2476.74.251.1 to 76.74.251.25476.74.251.255254
25376.74.252.0/2476.74.252.1 to 76.74.252.25476.74.252.255254
25476.74.253.0/2476.74.253.1 to 76.74.253.25476.74.253.255254
25576.74.254.0/2476.74.254.1 to 76.74.254.25476.74.254.255254
25676.74.255.0/2476.74.255.1 to 76.74.255.25476.74.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses